Starcos 3.1 compatibility

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Starcos 3.1 compatibility

Fernando Sanchez Chaparro
Dear all,

  I am trying to use Starcos 3.1  between Windows and Linux. I had thought of using OpenSC project for the LinuX SO and the manufacturer driver in Windows. It seems to be a incompatibility between the manufacturer and OpenSC PKCS#15 formats. Is there any possibility of getting the compatibility I am looking for?

Thanks in advance.
Best regards.

_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user
Reply | Threaded
Open this post in threaded view
|

Re: Starcos 3.1 compatibility

Andreas Jellinghaus-2
Am Mittwoch 26 Mai 2010, um 15:43:21 schrieb Fernando Sanchez Chaparro:
>   I am trying to use Starcos 3.1  between Windows and Linux. I had thought
> of using OpenSC project for the LinuX SO and the manufacturer driver in
> Windows. It seems to be a incompatibility between the manufacturer and
> OpenSC PKCS#15 formats. Is there any possibility of getting the
> compatibility I am looking for?

you could try to get the starcos 3.1 manual and implement any changes in the
new version in the opensc driver for starcos.

if that manufacturer doesn't use pkcs#15 format, and you can figure out their
format, you can write an emulation driver, so opensc will access the card
as is, even if it is not in pkcs#15 format. there are several such drivers
already in opensc code that can be used as templates.

Regards, Andreas
_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user
Reply | Threaded
Open this post in threaded view
|

Re: Starcos 3.1 compatibility

Martin Vogt-5
In reply to this post by Fernando Sanchez Chaparro
>Am Mittwoch 26 Mai 2010, um 15:43:21 schrieb Fernando Sanchez Chaparro:
>>   I am trying to use Starcos 3.1  between Windows and Linux. I had thought
>> of using OpenSC project for the LinuX SO and the manufacturer driver in
>> Windows. It seems to be a incompatibility between the manufacturer and
>> OpenSC PKCS#15 formats. Is there any possibility of getting the
>> compatibility I am looking for?
>
>you could try to get the starcos 3.1 manual and implement any changes in the
>new version in the opensc driver for starcos.

Hello,

you could try my StarCos 3.0 driver. I would assume that StarCos 3.1
is not that much different:

http://www.opensc-project.org/pipermail/opensc-devel/2010-March/013759.html

With a bit of luck, we should be able to make it work.

regards,

Martin
_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user